XCOM 2
173 ratings
[WotC] Peek From Concealment UI Fix
 
Rate  
Favorite
Favorited
Unfavorite
File Size
Posted
0.157 MB
Sep 16, 2017 @ 6:39pm
1 Change Note ( view )
You need DLC to use this item.

Subscribe to download
[WotC] Peek From Concealment UI Fix

Subscribed
Unsubscribe
Description
This is an optional add-on mod for Peek From Concealment.

This mod fixes the movement preview UI to account for Peek's modified concealment rules. This means you should only see a warning flag if you're actually going to break concealment.

This mod requires Gotcha Again.
In the future it is completely possible that Gotcha may update and break this mod, but in that case it won't do any harm to remove it (besides getting the false warnings again).

No guarantees are provided that the preview will be perfectly trustworthy. I am not liable for soldier deaths caused by the UI being a dirty liar. That said, I tried to make it as accurate as possible.

Note: The mod launcher may specify that this mod conflicts with Gotcha Again, ignore it, it should work anyway.

ps. Based on reading the Gotcha code I believe that everyone who worked on the project should be eligible for sainthood.

Troubleshooting
If the mod doesn't work for you there is one thing you can do to fix it. Go to Gotcha Again's XComEngine.ini and find the line
+ModClassOverrides=(BaseGameClass="XComPathingPawn", ModClass="XComPathingPawn_GA")
and delete it or prepend a semicolon (;) to comment it out.
This will also remove the conflict warning from the mod launcher. You'll have to re-add this line if you remove this mod, or Gotcha won't work.

Known Issues
Doesn't account for civilians properly at the moment. So don't run right next to any civs just because the indicator says it's fine.
< >
31 Comments
Echo Aug 12 @ 12:34am 
Well, the description does mention it, so I'll try it out regardless.
Echo Aug 12 @ 12:33am 
Conflict with Gotcha Again is XComPathingPawn. I have it as well.
Dragon32 Aug 4 @ 1:27am 
@The Tf:
Gotcha Again is required for this mod to work. What was the conflict?
The Tf Aug 3 @ 10:21am 
I found conflict between this and the gotcha again mod. anyone help? D:
for troubleshooting:
The Gotcha Again folder is here:
YourSteamFolder\SteamApps\workshop\content\268500\1124288875
Tim_ Mar 6 @ 6:57pm 
Just completed a WOTC campaign with 63 mods including this one. All ran fine. I can't recall where this mod would have actually been used in my last campaign, or at least, I did't think to check for it or notice, but the idea is sound and its definitely stable.
Player Feb 28 @ 12:35am 
Awesome didnt know about this
Exel Feb 4 @ 7:21am 
Would be great if we could have a vanilla version of this.
Blabba754 Oct 21, 2017 @ 2:12am 
Is there an equivalent for those without WoTC?
Delran Sep 27, 2017 @ 2:31pm 
@Very Disco One of the Chosen's gun.